using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Chart;

namespace Time_span_sample
{
    public partial class Form1 : Form
    {
        private System.Windows.Forms.ToolTip toolTip1;
        ChartPoint chpt;
        
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DateTime dt = DateTime.Now;
            ChartSeries series = this.chartControl1.Model.NewSeries("Time Span", ChartSeriesType.Line);
            series.Points.Add(dt.AddDays(1), 4856);
            series.Points.Add(dt.AddDays(3), 2666);
            series.Points.Add(dt.AddDays(4), 7432);
            series.Points.Add(dt.AddDays(6), 5267);
            this.chartControl1.Series.Add(series);

            this.chartControl1.PrimaryXAxis.LabelRotate = true;

            this.chartControl1.PrimaryXAxis.LabelRotateAngle = 90;

            this.chartControl1.PrimaryXAxis.ValueType = ChartValueType.DateTime;

            this.chartControl1.PrimaryXAxis.IntervalType = ChartDateTimeIntervalType.Days;

            this.chartControl1.PrimaryXAxis.DateTimeFormat = "yyyy-MM-dd";

            this.chartControl1.PrimaryYAxis.ValueType = ChartValueType.DateTime;

            this.chartControl1.PrimaryYAxis.DateTimeFormat = "hh:mm:ss";

            this.chartControl1.Text = "Essential Chart";
            this.Text = "Essential Chart...";
            this.chartControl1.LegendPosition = ChartDock.Top;
        }

        private void chartControl1_MouseMove(object sender, MouseEventArgs e)
        {
            chpt = chartControl1.ChartArea.GetValueByPoint(new Point(e.X, e.Y));
            string dx = chpt.DateX.ToShortDateString();

            DateTime[] d = chpt.GetYValuesAsDateTime();
            string dy = d[0].ToString("d,hh:mm:ss");
            string text = null;
            text = "Chart Point - " + "{" + dx + ", " + dy + "}";
            toolTip1.SetToolTip(chartControl1, text);
        }
    }
}